Subject: [BK PATCH] USB changes for 2.5.30
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Pull from:  http://linuxusb.bkbits.net/linus-2.5

 drivers/usb/core/drivers.c      |  127 ----------------
 CREDITS                         |    2 
 Documentation/usb/auerswald.txt |    2 
 MAINTAINERS                     |   13 -
 drivers/usb/core/devio.c        |    4 
 drivers/usb/core/hub.c          |   10 -
 drivers/usb/core/inode.c        |  314 ++++++++++++++++++++++++----------------
 drivers/usb/core/usb.c          |    4 
 drivers/usb/input/aiptek.c      |    2 
 drivers/usb/media/dabusb.c      |   12 -
 drivers/usb/media/se401.c       |    6 
 drivers/usb/media/vicamurbs.h   |    2 
 drivers/usb/misc/auerswald.c    |    4 
 drivers/usb/net/kaweth.c        |    1 
 drivers/usb/serial/ipaq.c       |   41 +++--
 drivers/usb/serial/keyspan.c    |    1 
 include/linux/usb.h             |    6 
 17 files changed, 252 insertions(+), 299 deletions(-)
------

[email-masked], 2002-08-02 11:14:26-07:00, [email-masked]
  MAINTAINERS: removed duplicate USB EHCI DRIVER entry

 MAINTAINERS |    6 ------
 1 files changed, 6 deletions(-)
------

[email-masked], 2002-08-02 11:10:09-07:00, [email-masked]
  USB: remove drivers/usb/core/drivers.c as it's no longer used.

 drivers/usb/core/drivers.c |  127 ---------------------------------------------
 1 files changed, 127 deletions(-)
------

[email-masked], 2002-08-02 11:09:12-07:00, [email-masked]
  USB: remove some compiler warnings

 drivers/usb/media/dabusb.c    |   12 ------------
 drivers/usb/media/vicamurbs.h |    2 ++
 2 files changed, 2 insertions(+), 12 deletions(-)
------

[email-masked], 2002-08-02 10:55:26-07:00, [email-masked]
  USB: usbfs and usbdevfs both work at the same time now.

 drivers/usb/core/devio.c |    2 
 drivers/usb/core/inode.c |  157 ++++++++++++++++++++++++++++++-----------------
 include/linux/usb.h      |    6 +
 3 files changed, 108 insertions(+), 57 deletions(-)
------

[email-masked], 2002-08-02 10:10:33-07:00, [email-masked]
  Merge kroah.com:/home/greg/linux/BK/bleeding_edge-2.5
  into kroah.com:/home/greg/linux/BK/gregkh-2.5

 MAINTAINERS            |    5 ++++-
 drivers/usb/core/hub.c |    5 +++--
 drivers/usb/core/usb.c |    2 +-
 3 files changed, 8 insertions(+), 4 deletions(-)
------

[email-masked], 2002-08-01 16:17:59-07:00, [email-masked]
  USB: lots of usbfs updates
  
  Now users can't create files within the fs.
  Thanks to Pat Mochel <[email-masked]> for the ideas on how to do this.

 drivers/usb/core/devio.c |    2 
 drivers/usb/core/inode.c |  157 +++++++++++++++++++++++++++--------------------
 2 files changed, 94 insertions(+), 65 deletions(-)
------

[email-masked], 2002-08-01 13:23:11-07:00, [email-masked]
  [PATCH] I have a new email address
  
  and some places in linux kernel must change.
  See the attached patch.

 CREDITS                         |    2 +-
 Documentation/usb/auerswald.txt |    2 +-
 MAINTAINERS                     |    2 +-
 drivers/usb/misc/auerswald.c    |    4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)
------

[email-masked], 2002-08-01 10:46:56-07:00, [email-masked]
  [PATCH] USB: driverfs paths
  
  I noticed a minor goof, basically an open issue coming home to
  roost.  For the root hub, usb_device->devpath was "/" so it
  caused problems using devpath when constructing names for
  interfaces.  Driverfs doesn't reject it, but of course the
  resulting directory names can't be used...
  
  This patch (untested, but compiles) should make devpath in that
  case be "0" ... which can't collide with any path through hub
  ports (first port == "1") so it's possible to use driverfs
  paths again.

 drivers/usb/core/hub.c |    5 +++--
 drivers/usb/core/usb.c |    2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)
------

[email-masked], 2002-08-01 10:17:53-07:00, [email-masked]
  [PATCH] USB: added new kaweth device.
  
  Patch based off of 2.4 patch from Juan Quintela <[email-masked]>

 drivers/usb/net/kaweth.c |    1 +
 1 files changed, 1 insertion(+)
------

[email-masked], 2002-08-01 10:17:40-07:00, [email-masked]
  [PATCH] possible keyspan debug bug
  
  While doing some cleanups of duplication #include entries,
  I found what looks like a minor bug.
  
  The keyspan driver does #include <linux/usb.h> twice. Not
  normally a problem, because of the idempotent constructions.
  
  But in this case the behaviour of the dbg() module depends on
  the value of DEBUG. Keyspan tries to handle this, but the
  first #include is before the definition, and the second one
  has no effect. Patch attached.
  
  I don't have the hardware to test, but it sure looks wrong now.

 drivers/usb/serial/keyspan.c |    1 -
 1 files changed, 1 deletion(-)
------

[email-masked], 2002-08-01 10:17:27-07:00, [email-masked]
  [PATCH] bugfix for drivers/usb/serial/ipaq.c
  
  Buggy error handling fixed. Retry the "kickstart" packet much harder -
  this greatly reduces instances of connection failures.

 drivers/usb/serial/ipaq.c |   41 ++++++++++++++++++++++++++---------------
 1 files changed, 26 insertions(+), 15 deletions(-)
------

[email-masked], 2002-08-01 10:17:14-07:00, [email-masked]
  [PATCH] designated initializer patch for usb_media_se401.c
  
    Here's a patch for additional designated initializer changes
    in usb/media/se401.c. Patch is against 2.5.27.

 drivers/usb/media/se401.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)
------

[email-masked], 2002-08-01 10:17:00-07:00, [email-masked]
  [PATCH] designated initializer patch for usr_input_aiptek.c
  
    Here's a patch for additional designated initializer conversion
    in usr/input/aiptek.c. Patch is against 2.5.27.

 drivers/usb/input/aiptek.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)
------